﻿;/////////////////////////////////////////////////////////////////////////////////
;***SmartErase***
;*===============
;*
;*Demo 4 - by Stephen Rodriguez.
;*
;*Dynamically sizing a ListView 'inside' a Frame3dGadget! 
;*Frame3dGadgets are not very well behaved and require some special treatment!
;*
;*Try the demo with and without SmartErase enabled.
;/////////////////////////////////////////////////////////////////////////////////

Enumeration
  #frame1
  #ListView1
EndEnumeration


XIncludeFile "SmartErase.pbi"

If OpenWindow(0, 100, 100, 600, 600, "SmartErase demo 4", #PB_Window_SystemMenu | #PB_Window_ScreenCentered | #PB_Window_SizeGadget | #PB_Window_MinimizeGadget)
  ListViewGadget(#ListView1, 20, 30, 0, 0)
  For a = 1 To 12
    AddGadgetItem (#ListView1, -1, "Item " + Str(a) + " of the Listview")
  Next
  Frame3DGadget(#frame1, 10, 10, 0, 180, "Frame 1")

  ;Uncomment the following 2 lines to enable SmartErase.
;  SetSmartErase(WindowID(0))
  ;By trial and error the following needed adding to avoid problems with the frame3d gadget!
;    SetSmartErase(GadgetID(#frame1), #SmartErase_USESTANDARDWINDOWCOLOR, #SmartErase_ERASELEVEL1)

  Repeat
    Event = WaitWindowEvent()
    Select Event
      Case #WM_SIZE
        ResizeGadget(#frame1, #PB_Ignore, #PB_Ignore, WindowWidth(0)-20, WindowHeight(0)-20)
        ResizeGadget(#ListView1, #PB_Ignore, #PB_Ignore, GadgetWidth(#frame1)-20, GadgetHeight(#frame1)-40)
    EndSelect
  Until Event = #PB_Event_CloseWindow
EndIf

; IDE Options = PureBasic 4.30 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 9
; FirstLine = 5
; Folding = -
; EnableXP
; Executable = nxReportU.dll