﻿;/////////////////////////////////////////////////////////////////////////////////
;***SmartErase***
;*===============
;*
;*Demo 5 - by Stephen Rodriguez.
;*
;*Dynamically sizing controls within splitter gadgets.
;*In this case because the splitter occupies the entire window, we can remove all erasing from the window.
;*
;*Try the demo with and without SmartErase enabled.
;/////////////////////////////////////////////////////////////////////////////////

Enumeration
  #splitter1
  #Button1
  #Container1
  #ListView1
EndEnumeration


XIncludeFile "SmartErase.pbi"

If OpenWindow(0, 100, 100, 600, 600, "SmartErase demo 5", #PB_Window_SystemMenu | #PB_Window_ScreenCentered | #PB_Window_SizeGadget | #PB_Window_MinimizeGadget)
  ButtonGadget(#Button1, 0, 0, 0, 0, "Button 1") ; No need to specify size or coordiantes
  ContainerGadget(#Container1, 0, 0, 0, 0, #PB_Container_Raised)
    ListViewGadget(#ListView1, 10, 10, 0, 0)
    For a = 1 To 12
      AddGadgetItem (#ListView1, -1, "Item " + Str(a) + " of the Listview")
    Next
  CloseGadgetList()
  SetGadgetColor(#Container1, #PB_Gadget_BackColor, #Blue)
  
  SplitterGadget(#Splitter1, 0, 0, 0, 0, #Button1, #Container1, #PB_Splitter_Separator)

  ;Uncomment the following lines to enable SmartErase.
;  SetSmartErase(WindowID(0), #SmartErase_USESTANDARDWINDOWCOLOR, #SmartErase_NOERASEATALL)
;  SetSmartErase(GadgetID(#Container1), #Blue)

  Repeat
    Event = WaitWindowEvent()
    Select Event
      Case #PB_Event_Gadget
        If EventGadget() = #Splitter1
          Goto resize_Label
        EndIf
      
      Case #WM_SIZE
resize_Label:
        ResizeGadget(#Splitter1, #PB_Ignore, #PB_Ignore, WindowWidth(0), WindowHeight(0))
        ResizeGadget(#ListView1, #PB_Ignore, #PB_Ignore, GadgetWidth(#Container1)-25, GadgetHeight(#Container1)-20)
    EndSelect
  Until Event = #PB_Event_CloseWindow
EndIf

; IDE Options = PureBasic 4.30 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 35
; FirstLine = 14
; Folding = -
; EnableXP
; Executable = nxReportU.dll